// Copyright by Yves Goergen
// Website: http://beta.unclassified.de/
// This file is licensed under the terms of the GNU General Public License (GPL).

using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace Unclassified.Automation
{
	public class WindowProperties
	{
		private IntPtr handle;
		private string className = null;
		private int processId = 0;
		private bool? visible = null;

		public IntPtr Handle
		{
			get
			{
				return handle;
			}
			set
			{
				handle = value;
			}
		}

		public string ClassName
		{
			get
			{
				return className;
			}
			set
			{
				className = value;
			}
		}
		
		public int ProcessId
		{
			get
			{
				return processId;
			}
			set
			{
				processId = value;
			}
		}

		public bool? Visible
		{
			get
			{
				return visible;
			}
			set
			{
				visible = value;
			}
		}
	}
}
